Description: pcmanfm-qt need a dbus user session to be started as root
 Just using dbus-run-session to get one. This is the upstream solution.

Author: Alf Gaida <agaida@siduction.org>
Last-Update: 2019-05-11

--- pcmanfm-qt-0.14.1.orig/config/pcmanfm-qt/lxqt/settings.conf.in
+++ pcmanfm-qt-0.14.1/config/pcmanfm-qt/lxqt/settings.conf.in
@@ -1,6 +1,6 @@
 [System]
 IconThemeName=elementary
-SuCommand=lxqt-sudo %s
+SuCommand=lxsudo dbus-run-session -- %s
 TerminalCommand=
 Archiver=file-roller
 SIUnit=false
--- pcmanfm-qt-0.14.1.orig/pcmanfm/preferences.ui
+++ pcmanfm-qt-0.14.1/pcmanfm/preferences.ui
@@ -704,11 +704,13 @@ only if there are more than one tab.</st
             <item row="2" column="0" colspan="2">
              <widget class="QLabel" name="label_4">
               <property name="text">
-               <string>Examples: &quot;xterm -e %s&quot; for terminal or &quot;gksu %s&quot; for switching user.
-%s = the command line you want to execute with terminal or su.</string>
+               <string>Examples:&lt;br&gt;For terminal: &lt;i&gt;xterm -e %s&lt;/i&gt;&lt;br&gt;For switching user: &lt;i&gt;lxsudo %s&lt;/i&gt; or &lt;i&gt;lxsudo dbus-run-session -- %s&lt;/i&gt;&lt;br&gt;&lt;i&gt;%s&lt;/i&gt; is the command line you want to execute with terminal or su.&lt;br&gt; Important: Please use lxsudo, sudo alone will wreck permissions of the settings file.</string>
               </property>
               <property name="textFormat">
-               <enum>Qt::PlainText</enum>
+               <enum>Qt::RichText</enum>
+              </property>
+              <property name="wordWrap">
+               <bool>true</bool>
               </property>
              </widget>
             </item>
--- pcmanfm-qt-0.14.1.orig/pcmanfm/settings.cpp
+++ pcmanfm-qt-0.14.1/pcmanfm/settings.cpp
@@ -189,7 +189,7 @@ bool Settings::loadFile(QString filePath
         // the value from XSETTINGS instead of hard code a fallback value.
         fallbackIconThemeName_ = "oxygen"; // fallback icon theme name
     }
-    suCommand_ = settings.value("SuCommand", "lxqt-sudo %s").toString();
+    suCommand_ = settings.value("SuCommand", "lxsudo dbus-run-session -- %s").toString();
     setTerminal(settings.value("Terminal", "xterm").toString());
     setArchiver(settings.value("Archiver", "file-roller").toString());
     setSiUnit(settings.value("SIUnit", false).toBool());
